<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$proyeccion = remove_junk($db->escape($_POST['proyeccion']));
	$fecha = remove_junk($db->escape($_POST['fecha']));
    $cant_galones = remove_junk($db->escape($_POST['cant_galones']));
    $t_combustible = remove_junk($db->escape($_POST['t_combustible']));
    $granja = remove_junk($db->escape($_POST['granja']));
    $destino = remove_junk($db->escape($_POST['destino']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $t_abastecimiento = remove_junk($db->escape($_POST['t_abastecimiento']));
    $fechaEntera = strtotime($fecha);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    
    //cambiar los dias a español
    $dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
	$dia = $dias[date('w', $fechaEntera)];
   
   
   

    



 
    $query ="UPDATE programaabastecimiento SET ProgFechaInicialAbastecimiento='$fecha',TipoGranja='$destino',IdGranja='$granja',Responsable='$responsable',Mes='$mes',Anio='$anio',Dia='$dia',IdTipoCombustible='$t_combustible',Cantidad='$cant_galones',IdTipoAbastecimiento='$t_abastecimiento' WHERE id = $proyeccion ";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 


